#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum ELeaderboardUploadScoreMethod {
    None = 0,
    KeepBest = 1,
    ForceUpdate = 2,
}

impl ELeaderboardUploadScoreMethod {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::None as i32 => Some(Self::None),
            x if x == Self::KeepBest as i32 => Some(Self::KeepBest),
            x if x == Self::ForceUpdate as i32 => Some(Self::ForceUpdate),
            _ => None,
        }
    }
}
